#
# spec file for package python-Pebble
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without python2
Name:           python-Pebble
Version:        4.5.2
Release:        bp155.2.14
Summary:        Threading and multiprocessing eye-candy for Python
License:        LGPL-3.0-only
Group:          Development/Languages/Python
URL:            https://github.com/noxdafox/pebble
Source:         https://files.pythonhosted.org/packages/source/P/Pebble/Pebble-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  git-core
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%if %{with python2}
BuildRequires:  python-futures
%endif
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
%ifpython2
Requires:       python-futures
%endif
%python_subpackages

%description
Pebble provides an API to manage threads and processes within an application.
It wraps Python’s standard library threading and multiprocessing objects.

%prep
%setup -q -n Pebble-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Wed May  6 2020 Martin Liška <mliska@suse.cz>
- Bump to 4.5.2:
  - Fix issue #58: handle pool connection teardown in Python 3.8
* Mon Apr 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Thu Mar 26 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 4.5.1
  * add daemon parameter to decorator
  * travis: add Python 3.8 tests
* Wed Jan 15 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 4.4.1
  * use poll in channel implementation instead of select
  * handle pickling errors in ProcessPool
  * add test cases
* Mon Oct  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 4.4.0:
  * Various doc and test fixes
* Sat Aug 24 2019 Jan Engelhardt <jengelh@inai.de>
- Use description from upstream.
* Sun Aug 11 2019 Todd R <toddrme2178@gmail.com>
- Initial version
